package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)枚举类
*
* @author zxfei
*/
public enum AuthTypeEnum {
    无限制(0, "无限制"),
    无需登录查看(1, "无需登录查看"),
    需要登录查看(2, "需要登录查看"),
    需要角色权限查看(3, "需要角色权限查看");
    private Integer value;
    private String desc;

    AuthTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static AuthTypeEnum getByValue(Integer value) {
        for (AuthTypeEnum authTypeEnum : AuthTypeEnum.values()) {
            if (authTypeEnum.getValue() == value) {
                return authTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (AuthTypeEnum item : AuthTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}